dnssec_zone_rr_iter Struct Reference

## Data Fields

ldns_dnssec_zone * | zone
ldns_rbnode_t * | node
ldns_dnssec_name * | name
ldns_dnssec_rrsets * | rrsets
ldns_dnssec_rrs * | rrs
ldns_dnssec_rrsets * | rrsets4rrsigs
ldns_rbnode_t * | nsec3_node
ldns_dnssec_name * | nsec3_name
dnssec_zone_rr_iter_state | state
ldns_rdf * | apex_name
uint8_t | apex_labs

## Detailed Description

Definition at line 1306 of file dnssec_zone.c.

## Field Documentation

## zone

ldns_dnssec_zone* dnssec_zone_rr_iter::zone

Definition at line 1307 of file dnssec_zone.c.

## node

ldns_rbnode_t* dnssec_zone_rr_iter::node

Definition at line 1308 of file dnssec_zone.c.

## name

ldns_dnssec_name* dnssec_zone_rr_iter::name

Definition at line 1309 of file dnssec_zone.c.

## rrsets

ldns_dnssec_rrsets* dnssec_zone_rr_iter::rrsets

Definition at line 1310 of file dnssec_zone.c.

## rrs

ldns_dnssec_rrs* dnssec_zone_rr_iter::rrs

Definition at line 1311 of file dnssec_zone.c.

## rrsets4rrsigs

ldns_dnssec_rrsets* dnssec_zone_rr_iter::rrsets4rrsigs

Definition at line 1312 of file dnssec_zone.c.

## nsec3_node

ldns_rbnode_t* dnssec_zone_rr_iter::nsec3_node

Definition at line 1313 of file dnssec_zone.c.

## nsec3_name

ldns_dnssec_name* dnssec_zone_rr_iter::nsec3_name

Definition at line 1314 of file dnssec_zone.c.

## state

dnssec_zone_rr_iter_state dnssec_zone_rr_iter::state

Definition at line 1315 of file dnssec_zone.c.

## apex_name

ldns_rdf* dnssec_zone_rr_iter::apex_name

Definition at line 1316 of file dnssec_zone.c.

## apex_labs

uint8_t dnssec_zone_rr_iter::apex_labs

Definition at line 1317 of file dnssec_zone.c.